# ``twisted`.`conch`.`interfaces`.`IKnownHostEntry``

interface documentation

`class IKnownHostEntry(Interface): (source)`

Known implementations: `twisted.conch.client.knownhosts.HashedEntry`, `twisted.conch.client.knownhosts.PlainEntry`, `twisted.conch.client.knownhosts.UnparsedEntry`

View In Hierarchy

A `IKnownHostEntry` is an entry in an OpenSSH-formatted `known_hosts` file.

Present Since
8.2

Method | `matchesHost` | Return True if this entry matches the given hostname, False otherwise.
Method | `matchesKey` | Return True if this entry matches the given Key object, False otherwise.
Method | `toString` |

def matchesHost(hostname): (source)

Return True if this entry matches the given hostname, False otherwise.

Note that this does no name resolution; if you want to match an IP address, you have to resolve it yourself, and pass it in as a dotted quad string.

Parameters
hostname:`str` | The hostname to match against.

def matchesKey(key): (source)
Return True if this entry matches the given Key object, False otherwise.

Parameters
key:`twisted.conch.ssh.keys.Key` | The key object to match against.

def toString(): (source)

Returns
`str` | a serialized string representation of this entry, suitable for inclusion in a known_hosts file. (Newline not included.)